MembershipAttributesData (Apache Geode 1.6.0)
Date: 2018-04-23

org.apache.geode.management

## Class MembershipAttributesData

- java.lang.Object
- - org.apache.geode.management.MembershipAttributesData

- Deprecated.
  this API is scheduled to be removed

      public class MembershipAttributesData
      extends java.lang.Object

  Composite data type used to distribute the membership attributes for a `Region`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MembershipAttributesData(java.util.Set<java.lang.String> requiredRoles, java.lang.String lossAction, java.lang.String resumptionAction)` Deprecated. This constructor is to be used by internal JMX framework only.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLossAction()` Deprecated. Returns the policy that describes the action to take if any required roles are missing.
    `java.util.Set<java.lang.String>` | `getRequiredRoles()` Deprecated. Returns the set of Roles that are required for the reliability of this region.
    `java.lang.String` | `getResumptionAction()` Deprecated. Returns the policy that describes the action to take when resuming from missing roles.
    `java.lang.String` | `toString()` Deprecated. String representation of MembershipAttributesData

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MembershipAttributesData

          @ConstructorProperties(value={"requiredRoles","lossAction","resumptionAction"})
          public MembershipAttributesData(java.util.Set<java.lang.String> requiredRoles,
                                                                                                                          java.lang.String lossAction,
                                                                                                                          java.lang.String resumptionAction)

      Deprecated.
      This constructor is to be used by internal JMX framework only. User should not try to create an instance of this class.
      Parameters:
        `requiredRoles` - Array of required role names by this process for reliable access to the region
        `lossAction` - The configuration defining how this process behaves when there are missing required roles
        `resumptionAction` - The action to take when missing required roles return to the system

  - ### Method Detail

    - #### getRequiredRoles

          public java.util.Set<java.lang.String> getRequiredRoles()

      Deprecated.
      Returns the set of Roles that are required for the reliability of this region.

    - #### getLossAction

          public java.lang.String getLossAction()

      Deprecated.
      Returns the policy that describes the action to take if any required roles are missing.

    - #### getResumptionAction

          public java.lang.String getResumptionAction()

      Deprecated.
      Returns the policy that describes the action to take when resuming from missing roles.

    - #### toString

          public java.lang.String toString()

      Deprecated.
      String representation of MembershipAttributesData
      Overrides:
        `toString` in class `java.lang.Object`